//[passport](../../../index.md)/[com.yandex.passport.api](../index.md)/[UpgradeProperties](index.md)

# UpgradeProperties

[passport]\
data class [UpgradeProperties](index.md)(val uid: [PassportUid](../-passport-uid/index.md), val theme: [PassportTheme](../-passport-theme/index.md) = PassportTheme.LIGHT)

Data required for update process to start.

## Constructors

| | |
|---|---|
| [UpgradeProperties](-upgrade-properties.md) | [passport]<br>fun [UpgradeProperties](-upgrade-properties.md)(uid: [PassportUid](../-passport-uid/index.md), theme: [PassportTheme](../-passport-theme/index.md) = PassportTheme.LIGHT) |

## Properties

| Name | Summary |
|---|---|
| [theme](theme.md) | [passport]<br>val [theme](theme.md): [PassportTheme](../-passport-theme/index.md)<br>[PassportTheme](../-passport-theme/index.md) to use for display Upgrade Activity. |
| [uid](uid.md) | [passport]<br>val [uid](uid.md): [PassportUid](../-passport-uid/index.md)<br>[PassportUid](../-passport-uid/index.md) of the account to be upgraded. |
